Table of Contents

## Name

im_binfile, im_image - wrap a raw binary file inside an IMAGE descriptor

## Synopsis

#include <vips/vips.h>

IMAGE *im_binfile( name, xs, ys, b, off )
char *in;
IMAGE *out;
int xs, ys, b, off;

IMAGE *
im_image( void *buffer, int width, int height, int bands, int format )

## Description

im_binfile(3) maps the file named, and returns an image descriptor which looks very like the sort of thing that im_mmapin(3) returns.

The parameters specify the image width, height, number of bands and offset in bytes from the start of the file.

im_image(3) makes an IMAGE deriptor from an area of pixels in memory. The memory buffer will not be freed when the IMAGE is closed, use im_add_close_callback() if you want this.

## Return Value

The functions return NULL on error.

## See Also

im_mmapin(3) , im_openout(3) , im_setbuf(3) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 11/04/1990

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author